# $Id: kernel-feat-cpufreq.spec,v 1.8 2004/05/13 20:25:28 vsu Exp $

%define  patch_name kernel-feat-cpufreq

Name: %patch_name
Version: 2004.04.25
Release: alt2

%define snapshot_version %(echo %version | tr -d .)

Summary: %patch_name kernel patch - CPU frequency and voltage scaling support
License: GPL
Group: Development/Other
URL: ftp://ftp.uk.linux.org/pub/linux/cpufreq
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

Source0: %url/cpufreq-LINUX_2_4-%snapshot_version.tar.bz2
Source1: cpufreq-2.4.26.patch

Source1000: %name.sh.in

Patch10: 10_cpufreq-wrap.patch

BuildPreReq: kernel-build-tools

%description
This patch adds CPU frequency and voltage scaling support to the Linux kernel.

%prep
%setup -c
%__install -p -m644 %SOURCE1 cpufreq/patch

pushd cpufreq/linux
%patch10 -p1
popd

%install
%__install -d %patches_dir/%patch_name/
%__cp -a cpufreq/* %patches_dir/%patch_name/

%__mkdir_p %patches_dir/apply/
%__install -p %SOURCE1000 %patches_dir/apply/%name

%files
%_usrsrc/*

%changelog
* Fri May 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt2
- Updated for 2.4.26 (fix SMP build).

* Sun Apr 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt1
- Updated to cpufreq-LINUX_2_4-20040425:
  + longhaul: Nehemiah disabled again - no specs available from VIA
- Added 10_cpufreq-wrap.patch: fix for (un)signed int wrap in
  proc_handler (CAN-2004-0228).

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Updated to cpufreq-LINUX_2_4-20040321:
  + longhaul: Try to enable Nehemiah
  + powernow-k8: Updated to 1.00.12

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Updated to cpufreq-LINUX_2_4-20040223 (no real changes).
- Dropped cpufreq-2.4.22.patch (obsolete).

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated to cpufreq-LINUX_2_4-20031214:
  + longhaul: Ezra-T support added, rounding fixes
  + speedstep-centrino: Ultra Low Voltage Intel Pentium M processor 1000MHz
    support added
- Kept cpufreq-2.4.22.patch from the old version (new version contains patch
  for 2.4.23, which does not apply to 2.4.22 because of unrelated nearby
  changes).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Updated to cpufreq-LINUX_2_4-20031128:
  + speedstep-smi driver fixes (added guard against non-Intel CPUs, added
    parameter descriptions, added ability to fake IST signature)

* Mon Oct 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.06-alt1
- Initial release

